Summary:	Haydar Desktop Environmet
Name: 	 	hde
Version: 	0.4.4
Release: 	1hl
URL: 	 	http://linux.haydar.net/hde.html
Source0: 	%{name}-%{version}.tar.gz
License: 	GPL
Group: 	 	User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:  	qt >= 3.2.0, libhde = %{version}
Buildrequires: 	qt-devel >= 3.2.0
Obsoletes: 	hwm
%description
A window manager that support reading and writing arabic as well as other 
languages depending on QT3 library's. 
Because it makes heavy use of a high level API it can be kept small, stable
and easy to maintain. 
It will also emulate the look of Windows 9x/XP to make the transfer to linux
very easy for windows users.

%package -n libhde
Group: 	    User Interface/Desktops
Summary:    Haydar Desktop Environmet "libhde".
Requires:   qt >= 3.2.0
Obsoletes:  libhwm

%description -n libhde
This package includes the hdelibs.so.xx files you will which need to run 
HDE and programs based on it.


%prep
%setup -q

%build
make DEST=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT$QTDIR/plugins/styles

make DEST=$RPM_BUILD_ROOT/usr STYLESDIR=$RPM_BUILD_ROOT$QTDIR/plugins/styles install
#install -o root -s libhde/libhdeStyle.so $RPM_BUILD_ROOT$QTDIR/plugins/styles

mkdir -p $RPM_BUILD_ROOT/root/.hde
mkdir -p $RPM_BUILD_ROOT/etc/skel/.hde
cp -aR files/userfiles/applnk files/defaults files/appdefaults $RPM_BUILD_ROOT/root/.hde
cp -aR files/userfiles/applnk files/defaults files/appdefaults $RPM_BUILD_ROOT/etc/skel/.hde

#mkdir -p $RPM_BUILD_ROOT/root/Desktop
#mkdir -p $RPM_BUILD_ROOT/etc/skel/Desktop
#cp -aR files/userfiles/Desktop/test $RPM_BUILD_ROOT//root/Desktop/xterm
#cp -aR files/userfiles/Desktop/test $RPM_BUILD_ROOT//etc/skel/Desktop/xterm

(  cd $RPM_BUILD_ROOT/root/.hde
   ln -s ../Desktop Desktop
)

(  cd $RPM_BUILD_ROOT/etc/skel/.hde
   ln -s ../Desktop Desktop
)

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/include/hde
/usr/share/man
/usr/share/hde
/root/.hde
/etc/skel/.hde
#/root/Desktop
#/etc/skel/Desktop

%files -n libhde
%defattr(-,root,root)
/usr/lib/libhde*
/usr/lib/qt-3.3/plugins/styles/libhdeStyle.so

%changelog
* Sun Oct 12 2003 Haydar Alkaduhimi <haydar@haydar.net>
- 0.4.4.

* Tue Jul  1 2003 Haydar Alkaduhimi <haydar@haydar.net>
- Initial build.
